WebRuntimeSpringConfiguration (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.spring
[Java] Class WebRuntimeSpringConfiguration

    java.lang.Object
      org.codehaus.groovy.grails.commons.spring.DefaultRuntimeSpringConfiguration
          org.codehaus.groovy.grails.commons.spring.WebRuntimeSpringConfiguration

All Implemented Interfaces:
  org.springframework.web.context.ServletContextAware

    public class WebRuntimeSpringConfiguration
    extends DefaultRuntimeSpringConfiguration

Subclasses DefaultRuntimeSpringConfiguration to provide construction of WebApplicationContext instances.

Authors:
  Graeme Rocher

Since:
  1.0

Field Summary

Fields inherited from class DefaultRuntimeSpringConfiguration
aliases, beanFactory, classLoader, context, parent

Constructor Summary
`WebRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent)`
`WebRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader cl)`

Method Summary
`protected org.springframework.context.support.GenericApplicationContext` | `createApplicationContext(org.springframework.context.ApplicationContext parentCtx)`
`void` | `setServletContext(javax.servlet.ServletContext servletContext)`

Methods inherited from class DefaultRuntimeSpringConfiguration
addAbstractBean, addAlias, addBeanConfiguration, addBeanDefinition, addPrototypeBean, addPrototypeBean, addSingletonBean, addSingletonBean, addSingletonBean, containsBean, createApplicationContext, createBeanDefinition, createPrototypeBean, createSingletonBean, createSingletonBean, createSingletonBean, getApplicationContext, getBeanConfig, getBeanDefinition, getBeanNames, getUnrefreshedApplicationContext, initialiseApplicationContext, registerBeansWithConfig, registerBeansWithContext, registerBeansWithRegistry, registerPostProcessor, setBeanFactory

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### WebRuntimeSpringConfiguration

    public WebRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent)

### WebRuntimeSpringConfiguration

    public WebRuntimeSpringConfiguration(org.springframework.context.ApplicationContext parent, java.lang.ClassLoader cl)

Method Detail

### createApplicationContext

    @java.lang.Override
    protected org.springframework.context.support.GenericApplicationContext createApplicationContext(org.springframework.context.ApplicationContext parentCtx)

### setServletContext

    public void setServletContext(javax.servlet.ServletContext servletContext)

Groovy Documentation